org.codehaus.groovy.syntax

## Class SyntaxException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.groovy.GroovyException
      - - org.codehaus.groovy.syntax.SyntaxException

All Implemented Interfaces:
  Serializable, GroovyExceptionInterface

Direct Known Subclasses:
  TokenException

    public class SyntaxException
    extends GroovyException

Base exception indicating a syntax error.

Version:
  $Id: SyntaxException.java 14281 2008-12-05 12:23:54Z glaforge $
Author:
  bob mcwhirter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SyntaxException(String message, int line, int column)`
`SyntaxException(String message, Throwable cause, int line, int column)`

### Method Summary

Methods
`int` `getEndColumn()`
`int` `getLine()` Retrieve the line upon which the error occurred.
`String` `getMessage()`
`String` `getOriginalMessage()`
`String` `getSourceLocator()`
`int` `getStartColumn()` Retrieve the column upon which the error occurred.
`int` `getStartLine()`
`void` `setSourceLocator(String sourceLocator)`

### Methods inherited from class org.codehaus.groovy.GroovyException

`isFatal, setFatal`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyntaxException

    public SyntaxException(String message,
                   int line,
                   int column)

#### SyntaxException

    public SyntaxException(String message,
                   Throwable cause,
                   int line,
                   int column)

### Method Detail

#### setSourceLocator

    public void setSourceLocator(String sourceLocator)

#### getSourceLocator

    public String getSourceLocator()

#### getLine

    public int getLine()

Retrieve the line upon which the error occurred.

Returns:
  The line.

#### getStartColumn

    public int getStartColumn()

Retrieve the column upon which the error occurred.

Returns:
  The column.

#### getStartLine

    public int getStartLine()

Returns:
  the end of the line on which the error occurs

#### getEndColumn

    public int getEndColumn()

Returns:
  the end column on which the error occurs

#### getOriginalMessage

    public String getOriginalMessage()

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`